Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class CellRenderers

    java.lang.Object
      org.objectstyle.cayenne.dataview.CellRenderers

    public class CellRenderers

extends java.lang.Object

Nested Class Summary
`class` | `CellRenderers.BooleanRenderer`
`class` | `CellRenderers.FormatListCellRenderer`
`class` | `CellRenderers.FormatRenderer`
`class` | `CellRenderers.ObjectRenderer`

Constructor Summary
`CellRenderers()`

Method Summary
`CellRenderers.BooleanRenderer` | `createBooleanTableCellRenderer()`
`CellRenderers.ObjectRenderer` | `createDefaultTableCellRenderer(int alignment)`
`javax.swing.ListCellRenderer` | `createFormatListCellRenderer(java.text.Format format, java.lang.String nullText, java.lang.String invalidText, int alignment)`
`CellRenderers.FormatRenderer` | `createFormatTableCellRenderer(java.text.Format format, java.lang.String nullText, java.lang.String invalidText, int alignment)`
`javax.swing.ListCellRenderer` | `createListCellRenderer(ObjEntityViewField field)`
`javax.swing.table.TableCellRenderer` | `createTableCellRenderer(ObjEntityViewField field)`
`void` | `installRenderer(javax.swing.JComboBox comboBox, ObjEntityViewField field)`
`void` | `installRenderer(javax.swing.JList list, ObjEntityViewField field)`
`void` | `installRenderers(javax.swing.JTable table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellRenderers

    public CellRenderers()

Method Detail

### createFormatTableCellRenderer

    public CellRenderers.FormatRenderer createFormatTableCellRenderer(java.text.Format format,
                                                                      java.lang.String nullText,
                                                                      java.lang.String invalidText,
                                                                      int alignment)

### createBooleanTableCellRenderer

    public CellRenderers.BooleanRenderer createBooleanTableCellRenderer()

### createDefaultTableCellRenderer

    public CellRenderers.ObjectRenderer createDefaultTableCellRenderer(int alignment)

### createTableCellRenderer

    public javax.swing.table.TableCellRenderer createTableCellRenderer(ObjEntityViewField field)

### createFormatListCellRenderer

    public javax.swing.ListCellRenderer createFormatListCellRenderer(java.text.Format format,
                                                                     java.lang.String nullText,
                                                                     java.lang.String invalidText,
                                                                     int alignment)

### createListCellRenderer

    public javax.swing.ListCellRenderer createListCellRenderer(ObjEntityViewField field)

### installRenderers

    public void installRenderers(javax.swing.JTable table)

### installRenderer

    public void installRenderer(javax.swing.JList list,
                                ObjEntityViewField field)

### installRenderer

    public void installRenderer(javax.swing.JComboBox comboBox,
                                ObjEntityViewField field)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.